Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.TrickleCleanMemPool Method
DatabaseEnvironment Class See Also Send Feedback

Ensure that a specified percent of the pages in the cache are clean, by writing dirty pages to their backing files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public int TrickleCleanMemPool(
    	int pctClean
    )

Visual Basic (Declaration)
    Public Function TrickleCleanMemPool ( _
    	pctClean As Integer _
    ) As Integer

Visual C++
    public:
    int TrickleCleanMemPool(
    	int pctClean
    )

#### Parameters

pctClean
  Type: System..::.Int32
  The percent of the pages in the cache that should be clean.

#### Return Value

The number of pages written to reach the specified percentage is copied.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace